<?php

// return everything inside the <body> and </body> tags

// read file contents
$file_contents = file_get_contents($argv[1]);

/*
// check for bad charsets

// as of March 2006, big5 is used in TW and HK
if (strstr($file_contents,'charset=big5')) {
	$file_contents = libiconv('BIG5','UTF-8',$file_contents);
}

// as of March 2006, charset=ISO-8859-2 is used in RO
if (strstr($file_contents,'charset=ISO-8859-2')) {
	$file_contents = libiconv('ISO-8859-2','UTF-8',$file_contents);
}

// if there was a problem with the charset, return an error message
if (!$file_contents) {
	$file_contents = '
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title></title>
</head>
<body>

<h1 id="header">
	Error
</h1>

<p>
	PHPfr encountered an error while trying to convert the requested document to UTF-8. Please email <a href="mailto:andrew@hedges.name">Andrew</a> with the name of the function you were attempting to view. Thanks!
</p>

</body>
</html>
';
}
*/

// strip everything before the opening <body> tag
$html = stristr($file_contents,'<BODY');
$pos = strpos($html,'>') + 1;

// strip everything after the closing </body> tag
$body_pos = strpos($html,'</BODY');
if (!$body_pos) $body_pos = strpos($html,'</body');
$html = substr($html,$pos,$body_pos);

// return the HTML
fwrite(STDOUT,$html);

?>